Percona Server with XtraDB

use_global_log_slow_control does not work and makes server crash

Reported by Aurimas Mikalauskas on 2010-11-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
High
Oleg Tsarev

Bug Description

Hi,

If I start Percona-Server with this in my.cnf:

use_global_log_slow_control

it would crash:

Nov 10 03:30:36 mission kernel: mysqld[12687]: segfault at 0000000000000000 rip 00000000005c9f0a rsp 00007fff8ad31f50 error 4

Otherwise any of the values (tried none, all and log_slow_filter) give this error:

101110 3:55:00 [ERROR] /usr/sbin/mysqld: option '--use_global_log_slow_control' cannot take an argument

Percona Server (GPL), 11.5, Revision 132

OS:

# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.5 (Tikanga)
# uname -a
Linux mission.experienceproject.com 2.6.18-194.el5 #1 SMP Tue Mar 16 21:52:39 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

Aurimas

Changed in percona-server:
assignee: nobody → Oleg Tsarev (tsarev)
status: New → Confirmed
importance: Undecided → High
Oleg Tsarev (tsarev) on 2010-11-18
Changed in percona-server:
status: Confirmed → Fix Committed
Stewart Smith (stewart) wrote :

What's the status with this bug? Is the fix in a release?

Oleg Tsarev (tsarev) on 2011-06-24
Changed in percona-server:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers